﻿using System;
using System.Threading.Tasks;
using Microsoft.Owin;
using Owin;
using System.Web.Http;
using Microsoft.Owin.Security.ActiveDirectory;
using System.IdentityModel.Tokens;
using System.Configuration;

[assembly: OwinStartup(typeof(MyAzureWebsiteSample.Startup))]

namespace MyAzureWebsiteSample
{
    public class Startup
    {
        public void Configuration(IAppBuilder app)
        {
            var config = new HttpConfiguration();
            config.Routes.MapHttpRoute("default", "{controller}/{id}", new { id = RouteParameter.Optional });

            var tenant = ConfigurationManager.AppSettings["ida:Tenant"];
            var audience = ConfigurationManager.AppSettings["ida:Audience"];

            app.UseWindowsAzureActiveDirectoryBearerAuthentication(
                  new WindowsAzureActiveDirectoryBearerAuthenticationOptions
                  {
                      TokenValidationParameters = new TokenValidationParameters
                        {
                            ValidAudience = audience,
                            ValidateAudience = true,
                        },
                      Tenant = tenant
                  });
	    Microsoft.ApplicationInsights.Extensibility.TelemetryConfiguration.Active.InstrumentationKey = ConfigurationManager.AppSettings["AppInsightsKey"];
            app.UseWebApi(config);
        }
    }
}
